> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toolzz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Folder

> Endpoint to update a folder

### Parameters

<ParamField path="folderId" type="string">
  The unique identifier of the folder to update.
</ParamField>

## Body Parameters

<ParamField path="worksapceId" type="string" required>
  The unique identifier of the workspace to update a folder for.
</ParamField>

<ParamField path="folder" type="object[]" required>
  The new data do update.
</ParamField>

## Response Description

Below you will see the description of the function update a folder.

<ResponseField name="folder" type="object[]" required>
  The worksapce folder information.

  <Expandable title="messages properties">
    <ResponseField name="id" type="string" required>
      The folder unique identifier code.
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      Data about folder creation.
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      Data about folder update.
    </ResponseField>

    <ResponseField name="name" type="string">
      folders name.
    </ResponseField>

    <ResponseField name="workspaceId" type="string">
      Unique identifier of workspace that got folders listed.
    </ResponseField>
  </Expandable>
</ResponseField>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.